#!/bin/bash . scripts/functions if [ ! -e .config ] ; then echo "${bold}${red}No configuration found!${normal}" echo "Run ./config.sh first!" exit 1fi . .config for x in create_lvpxml encrypted plain ; do . scripts/${x}done moviefiles="/tmp/lvp_moviefiles.${$}" trap "rm -f ${moviefiles}" EXITtrap "exit 1" INT case "${LVP_SIZE}" in cd) size=700 ;; dvd) size=4486 ;; other) size=${LVP_SIZE_OTHER} ;;esac if ! eval "type=\${type_${LVP_TYPE}}" ; then echo "${bold}${red}Unknown type ${LVP_TYPE}${normal}" exit 1fi mplayer_param=${LVP_MPLAYER_OPTS} eval "for x in ${LVP_FILES} ; do echo \${x} ; done" >${moviefiles} echo "Verifying existence of files ... "error=0while read file ; do if [ ! -f "${file}" ] ; then echo "${file}: no such file or directory" error=$(( ${error} + 1 )) fidone < ${moviefiles} if [ ${error} -gt 0 ] ; then echo "Couldn't find ${error} file(s)." confirm "Continue without those files" [ ${?} -eq 1 ] && exit 1fi eval "process_${LVP_TYPE}"
#!/bin/bash
. scripts/functions
if [ ! -e .config ] ; then
echo "${bold}${red}No configuration found!${normal}"
echo "Run ./config.sh first!"
exit 1
fi
. .config
for x in create_lvpxml encrypted plain ; do
. scripts/${x}
done
moviefiles="/tmp/lvp_moviefiles.${$}"
trap "rm -f ${moviefiles}" EXIT
trap "exit 1" INT
case "${LVP_SIZE}" in
cd)
size=700
;;
dvd)
size=4486
other)
size=${LVP_SIZE_OTHER}
esac
if ! eval "type=\${type_${LVP_TYPE}}" ; then
echo "${bold}${red}Unknown type ${LVP_TYPE}${normal}"
mplayer_param=${LVP_MPLAYER_OPTS}
eval "for x in ${LVP_FILES} ; do echo \${x} ; done" >${moviefiles}
echo "Verifying existence of files ... "
error=0
while read file ; do
if [ ! -f "${file}" ] ; then
echo "${file}: no such file or directory"
error=$(( ${error} + 1 ))
done < ${moviefiles}
if [ ${error} -gt 0 ] ; then
echo "Couldn't find ${error} file(s)."
confirm "Continue without those files"
[ ${?} -eq 1 ] && exit 1
eval "process_${LVP_TYPE}"